Subject: Re: iostreams won't work
From: [email-masked] (James Paul Morgan)

25 Apr 1997 02:31:58 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Matthew Mueller <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Wed, 23 Apr 1997, Matthew Mueller wrote:

> when I try to compile this program:
>
[SNIP] 
> 
> I get this error:
> 
> f:\prog\c32>gcc test.cpp
> C:\WIN95\TEMP/cc0010001.o(.text+0x1a):test.cc: undefined reference to `cout'
> C:\WIN95\TEMP/cc0010001.o(.text+0x1f):test.cc: undefined reference to
> `ostream::
[SNIP]
> 
That's because you need to do 'g++ test.cpp'.  

I just tried it to make sure that was the difference.  The g++ makes 
assumptions about the nature of the program to be compiled, that it is 
C++ code, but gcc makes different assumptions.  (That it's C code, I 
believe.)  If you're using the streams, use 'g++'.

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".